Get a participant profile

Only resolves users who participate in an event owned by the API key's organisation. Never returns email or authentication data.

GET/v1/users/{userId}

Parameters #

PropertyTypeLocationDescription
userIdstringRequiredpath-

Request #

curl --request GET 'https://api.strave.gg/v1/users/USER_ID' \
  --header 'Authorization: Bearer $STRAVE_API_KEY'

Response #

200Response for status 200
application/json
401Response for status 401
application/json
404Response for status 404
application/json
429Response for status 429
application/json
500Response for status 500
application/json
PropertyTypeDescription
dataobjectRequired-
idstringRequired-
displayNamestringRequired-
usernamestring | nullRequired-
imageUrlstring | nullRequired-
nationalitystring | nullRequired-
platformsstring[]Required-
primaryPlatformstring | nullRequired-